Packages - Bug #2543

[linux-libre] Kernel 5.3.8 fails to boot on Thinkpad X220, 5.3.7 works fine
2019-11-09 07:26 PM - dllud

Status: fixed % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

Hi,

linux-libre 5.3.8 does not boot on a Thinkpad X220. | am attaching the relevant part of the syslog.
Here's the more evident errors:

Nov 09 18:41:06 x220 kernel: general protection fault: 0000 [#1] PREEMPT SMP PTI

[...]
Nov 09 18:41:06 x220 kernel: BUG: kernel NULL pointer dereference, address: 0000000000000030

[...]
Nov 09 18:41:06 x220 kernel: Oops: 0000 [#2] PREEMPT SMP PTI

Downgrading to 5.3.7 fixed this.

| also found it strange that the 5.3.8 kernel plus headers occupies almost 30 MiB less than 5.3.7.

Related issues:

Related to Packages - Bug #2541: [linux-libre] Module mac80211 no longer loads. info needed
Related to Packages - Bug #2553: linux-libre-5.3.8-gnu-1 kernel does not load... fixed
History

#1 - 2019-11-11 12:44 AM - bill-auger

- Assignee set to Megver83

#2 - 2019-11-11 01:27 AM - dllud

Just tested linux 5.3.8.1-1 from Arch and it boots fine. Seems something related to linux-libre. Should | report this upstream?

#3 - 2019-11-12 01:47 AM - Megver83

Well, let's say that -Its kernel works. Have you tested other stable kernels? -hardened or -pck? have you made any research on your issue?
#4 - 2019-11-12 01:11 PM - dllud

Thanks for looking into it Megver83.

Yes, linux-libre-lts works, as well as all linux-libre versions up to, and including, 5.3.7.

linux-libre-pck 5.3.8 does not boot. | get the same exact error pasted above.

Strangely linux-libre-hardened 5.3.8 boots and seems to work fine.

I've tested each kernel multiple times on different hardware configurations (e.g. docked/undocked). Results were consistent.

I will now give a shot to Jason Self's linux-libre builds on a Debian Live.

#5 - 2019-11-25 07:49 PM - bill-auger
- Related to Bug #2541: [linux-libre] Module mac80211 no longer loads. added

#6 - 2019-11-25 07:49 PM - bill-auger
- Related to Bug #2553: linux-libre-5.3.8-gnu-1 kernel does not load the ath9k driver on coreboot Lenovo thinkpad x230 added

#7 - 2019-11-26 01:51 AM - Megver83

just released linux-libre 5.3.13, please try it
https://labs.parabola.nu/issues/1
https://labs.parabola.nu/issues/2
https://jxself.org/linux-libre/

#8 - 2019-11-26 04:33 AM - pavelsayekat
yep, 5.3.13 is booting clean on my coreboot thinkpad x230, thank you Megver83.

#9 - 2019-11-28 12:52 AM - Megver83

- Status changed from unconfirmed to fixed

#10 - 2019-12-01 04:43 PM - dllud
Hi,

Sorry for the delay. | was out of town and could not test this right away.
| can also confirm that 5.3.13 boots fine on my Thinkpad X220. Thanks Megver83!

Files

syslog 11.9 KB

2024-04-25

2019-11-09

22

dllud


http://www.tcpdf.org

